%define name libgsf
%define version 1.6.0
%define release 7

Summary: GNOME Structured File library

Name: %{name}
Version: %{version}
Release: %{release}.XOS.1
Group: System Environment/Libraries
License: GPL
Buildroot: /var/tmp/%{name}-%{version}-%{release}-root
BuildRequires: glib2-devel
BuildRequires: libtool, libxml2-devel, gnome-vfs2-devel, bzip2-devel, gettext
BuildRequires: libbonobo-devel

Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/libgsf/libgsf-%{version}.tar.gz
URL: http://www.gnumeric.org

Patch0: libgsf_CVE-2006-4514.patch

Requires: glib2 >= 2.0.0

%description
A library for reading and writing structured files (eg MS OLE and Zip)

%package devel
Summary: Support files necessary to compile applications with libgsf.
Group: Development/Libraries
Requires: libgsf

%description devel
Libraries, headers, and support files necessary to compile applications using libgsf.

%prep

%setup
%patch0 -p1 -b libgsf_CVE-2006-4514

%build
libtoolize --force --copy
%configure
export tagname=CC
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -r $RPM_BUILD_ROOT; fi
%makeinstall

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README
%{_libdir}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/libgsf-1/*
%{_docdir}/libgsf
%{_libdir}/pkgconfig/libgsf-1.pc
%{_libdir}/pkgconfig/libgsf-gnome-1.pc

%clean
rm -r $RPM_BUILD_ROOT

%changelog
* Tue Jan 16 2007 X/OS Linux Team <xoslinux@xos.nl> 1.6.0-7.XOS.1
- Build for X/OS Linux 3.0.
- X/OS Linux source rpm based on libgsf-1.6.0-7.src.rpm
  (md5sum of original source rpm: 5f42c5e060448151b1cc72481e99e74b).

* Tue Dec 05 2006 Caolan McNamara <caolanm@redhat.com> 1.6.0-7
- force libtoolize

* Tue Dec 05 2006 Caolan McNamara <caolanm@redhat.com> 1.6.0-6
- add BuildRequires

* Fri Dec 01 2006 Caolan McNamara <caolanm@redhat.com> 1.6.0-5
- Resolves: rhbz#217949 CVE-2006-4514

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Jan  3 2003 Tim Powers <timp@redhat.com> 1.6.0-3
- fix requires

* Thu Jan  2 2003 Jonathan Blandford <jrb@redhat.com>
- import into the build system

* Tue Jun 18 2002 Rui M. Seabra <rms@407.org>
- set permission correctly
- fix common mistake of Copyright flag into License flag.

* Thu May 23 2002 Jody Goldberg <jody@gnome.org>
- Initial version
